<?php
require '../conexao/conexao.php';
$query_string = $_POST['url'] ?? '';
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id'])) {
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        $id = $_POST['id'];
        $stmt_medico = $connectionmysql->prepare("DELETE FROM medicos_autorizacoes WHERE id = ?");
        $stmt_medico->bind_param("i", $id);

        if ($stmt_medico->execute()) {
            header("Location: detalhar_autorizacoes.php?status=sucesso&" . $query_string);
        } else {
            echo "Erro ao executar a consulta DELETA Visita: " . $stmt_perfil_usuario->error;
        }
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        header("Location: detalhar_autorizacoes.php?" . $query_string);
        exit();
    } else {
        header("Location: detalhar_autorizacoes.php?" . $query_string);
        exit();
    }
} else {
    header("Location: detalhar_autorizacoes.php?status=erro&" . $query_string);
    exit();
}
